package es.uv.garcosda.shared.domain;

import java.io.Serializable;

public class MailDTO implements Serializable {

	private static final long serialVersionUID = 1L;
	private String id;
	private User from;
	private User to;
	private String subject;
	private String body;
	private String date;
	
	public MailDTO() {}
	
	public MailDTO(String id, User from, User to, String subject, String body, String date) {
		this.id = id;
		this.from = from;
		this.to = to;
		this.subject = subject;
		this.body = body;
		this.date = date;
	}
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public User getFrom() {
		return from;
	}

	public void setFrom(User from) {
		this.from = from;
	}

	public User getTo() {
		return to;
	}

	public void setTo(User to) {
		this.to = to;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}
	
	public String getDate() {
		return this.date;
	}

	public void setDate(String date) {
		this.date = date;
	}
	
}
